# DataExchange
TKVRML
Vrml

# Vrml_Rotation Class Reference

defines a Rotation node of VRML specifying matrix and transform properties.
This node defines a 3D rotation about an arbitrary axis through the origin.
By default : myRotation = (0 0 1 0)

`#include <Vrml_Rotation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Rotation ()
Standard_EXPORT | Vrml_Rotation (const Vrml_SFRotation &aRotation)
Standard_EXPORT void | SetRotation (const Vrml_SFRotation &aRotation)
Standard_EXPORT Vrml_SFRotation | Rotation () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

Vrml_SFRotation | myRotation

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Rotation::Vrml_Rotation | ( |  | ) |

Standard_EXPORT Vrml_Rotation::Vrml_Rotation | ( | const Vrml_SFRotation & | aRotation | ) |

## Member Function Documentation

void Vrml_Rotation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Rotation::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Rotation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_Rotation::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT Vrml_SFRotation Vrml_Rotation::Rotation | ( |  | ) | const

Standard_EXPORT void Vrml_Rotation::SetRotation | ( | const Vrml_SFRotation & | aRotation | ) |

## Field Documentation

Vrml_SFRotation Vrml_Rotation::myRotation `[private]`

The documentation for this class was generated from the following file:

- Vrml_Rotation.hxx